ProtocolException (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.ProtocolException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class ProtocolException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.httpclient.HttpException
                      org.apache.commons.httpclient.ProtocolException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AuthenticationException, MalformedChallengeException, MalformedCookieException, RedirectException

    public class ProtocolException

extends HttpException

Signals that an HTTP protocol violation has occurred. For example, HttpClient detected a malformed status line or headers, a missing message body, etc.

Since:
  3.0
Author:
  Laura Werner
See Also:
  Serialized Form

Constructor Summary
`ProtocolException()` Creates a new ProtocolException with a `null` detail message.
`ProtocolException(String message)` Creates a new ProtocolException with the specified detail message.
`ProtocolException(String message, Throwable cause)` Creates a new ProtocolException with the specified detail message and cause.

Method Summary

Methods inherited from class org.apache.commons.httpclient.HttpException
`getCause, getReason, getReasonCode, printStackTrace, printStackTrace, printStackTrace, setReason, setReasonCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtocolException

    public ProtocolException()

  Creates a new ProtocolException with a `null` detail message.

### ProtocolException

    public ProtocolException(String message)

  Creates a new ProtocolException with the specified detail message.

  Parameters:
    `message` - The exception detail message

### ProtocolException

    public ProtocolException(String message,
                             Throwable cause)

  Creates a new ProtocolException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.